## org.apache.batik.util
Class EventDispatcher

    java.lang.Object
      org.apache.batik.util.EventDispatcher

public class EventDispatcher
extends java.lang.Object

Generic class to dispatch events in a highly relyable way

Nested Class Summary
`static interface` `EventDispatcher.Dispatcher`

Constructor Summary
`EventDispatcher()`

Method Summary
`protected static void` `dispatchEvent(EventDispatcher.Dispatcher dispatcher, java.lang.Object[] ll, java.lang.Object evt)`
`static void` `fireEvent(EventDispatcher.Dispatcher dispatcher, java.util.List listeners, java.lang.Object evt, boolean useEventQueue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventDispatcher

    public EventDispatcher()

Method Detail

### fireEvent

    public static void fireEvent(EventDispatcher.Dispatcher dispatcher,
                                 java.util.List listeners,
                                 java.lang.Object evt,
                                 boolean useEventQueue)

### dispatchEvent

    protected static void dispatchEvent(EventDispatcher.Dispatcher dispatcher,
                                        java.lang.Object[] ll,
                                        java.lang.Object evt)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.